Skip to main content
GET
/
connections
List connections
curl --request GET \
  --url https://api.bundleup.io/v1/connections \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "externalId": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z",
    "integrationId": "<string>",
    "isValid": true,
    "refreshAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Pass the API key as a bearer token.

Query Parameters

offset
integer
default:0

Number of items to skip.

Required range: 0 <= x <= 1000
limit
integer
default:10

Maximum number of items to return.

Required range: 1 <= x <= 100
integration_id
string

Filter by integration ID.

integration_identifier
string

Filter by integration identifier.

external_id
string

Filter by external ID.

Response

Connections retrieved successfully.

id
string
required

Connection identifier.

externalId
string | null
required

External system identifier.

expiresAt
string<date-time> | null
required

Expiration timestamp for the access token.

integrationId
string
required

Integration ID associated with the connection.

isValid
boolean
required

Whether the connection is currently valid.

refreshAt
string<date-time> | null
required

Timestamp when the connection should be refreshed.

createdAt
string<date-time>
required
updatedAt
string<date-time>
required